Package virtuoso.jdbc4

## Class VirtuosoDate

- java.lang.Object
- - java.util.Date
  - - java.sql.Date
    - - virtuoso.jdbc4.VirtuosoDate

    public class VirtuosoDate
    extends java.sql.Date

See Also:
  Serialized Form

### Constructor Summary

Constructors
`VirtuosoDate​(long date)`
`VirtuosoDate​(long date, int tz)`
`VirtuosoDate​(long date, int tz, boolean with_tz)`

### Method Summary

All Methods Instance Methods Concrete Methods
`VirtuosoDate` `clone​()`
`int` `getTimezone​()`
`java.lang.String` `toXSD_String​()`
`boolean` `withTimezone​()`

### Methods inherited from class java.sql.Date

`getHours, getMinutes, getSeconds, setHours, setMinutes, setSeconds, setTime, toInstant, toLocalDate, toString, valueOf, valueOf`

### Methods inherited from class java.util.Date

`after, before, compareTo, equals, from, getDate, getDay, getMonth, getTime, getTimezoneOffset, getYear, hashCode, parse, setDate, setMonth, setYear, toGMTString, toLocaleString, UTC`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VirtuosoDate

    public VirtuosoDate​(long date)

#### VirtuosoDate

    public VirtuosoDate​(long date,
                        int tz)

#### VirtuosoDate

    public VirtuosoDate​(long date,
                        int tz,
                        boolean with_tz)

### Method Detail

#### withTimezone

    public boolean withTimezone​()

#### getTimezone

    public int getTimezone​()

#### clone

    public VirtuosoDate clone​()

Overrides:
  `clone` in class `java.util.Date`

#### toXSD_String

    public java.lang.String toXSD_String​()